# base compose file for usps Preview release
version: "2.1"
services:
  uspsdb:
    restart: unless-stopped
    image: docker.ssdt.io/ssdt-postgres:3
    environment:
      - DB_NAME=uspsdb
      - DB_USER=usps
      - DB_PASS=${USPS_DB_PASSWORD:-uspsdefault}
  uspsapp:
    restart: unless-stopped
    image: docker.ssdt.io/usps-app:preview
    depends_on:
      - uspsdb
    environment:
      - DB_HOST=uspsdb
      - DB_NAME=uspsdb
      - DB_USER=usps
      - DB_PASS=${USPS_DB_PASSWORD:-uspsdefault}
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_SERVERHOST=usasapp
      - USPS_MODULE_USASINTEGRATION_CONFIGURATION_USASCONFIGURATION_SERVERDNSLOOKUP=true
